Index: src/sas/sasgui/guiframe/report_image_handler.py
===================================================================
--- src/sas/sasgui/guiframe/report_image_handler.py	(revision 0cf4f841bfa8e0a2027bcb3dcf6d99a382746b35)
+++ src/sas/sasgui/guiframe/report_image_handler.py	(revision fa412df39d3c5338c2c5f69fed935b428f385ebe)
@@ -3,5 +3,6 @@
 
 class ReportImageHandler:
-
+    # Singleton class that manages all report plot images
+    # To call the handler, call the static method set_figs
 
     class _ReportImageHandler:
@@ -14,4 +15,11 @@
 
         def set_figs(self, figs, bitmaps, perspective):
+            """
+            Save figures and images to memory and return refernces
+            :param figs: A list of matplotlib Figures
+            :param bitmaps: A list of bitmaps
+            :param perspective: A String with the perspective name
+            :return: A tuple of a list of Figures and a list of memory refs
+            """
             imgs = []
             refs = []
@@ -34,4 +42,10 @@
 
         def create_unique_name(self, perspective, index=None):
+            """
+            Create a unique key for each item in memory
+            :param perspective: The perspective name as a string
+            :param index: The base index used for incrementing the name
+            :return: A unique file name not currently in use
+            """
             if not index:
                 index = len(self.indices)
@@ -43,8 +57,9 @@
             return name
 
-
     instance = None
 
-    def __init__(self):
+    @staticmethod
+    def set_figs(figs, bitmaps, perspective):
         if not ReportImageHandler.instance:
             ReportImageHandler.instance = ReportImageHandler._ReportImageHandler()
+        return ReportImageHandler.instance.set_figs(figs, bitmaps, perspective)
Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision 0cf4f841bfa8e0a2027bcb3dcf6d99a382746b35)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision fa412df39d3c5338c2c5f69fed935b428f385ebe)
@@ -652,12 +652,10 @@
         by plotting, putting it into wx.FileSystem image object
         """
-
-        img_handler = ReportImageHandler()
         bitmaps = []
         for canvas in canvases:
             bitmaps.append(canvas.bitmap)
-        imgs, refs = img_handler.instance.set_figs(figs, bitmaps, 'fit')
-
-        return img_handler.instance.img_holder, imgs, refs
+        imgs, refs = ReportImageHandler.set_figs(figs, bitmaps, 'fit')
+
+        return ReportImageHandler.instance, imgs, refs
 
     def on_save(self, event):
Index: src/sas/sasgui/perspectives/invariant/invariant_panel.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision ec4b19c5dd4551cc69e0c29d13bb0e7fbb08a186)
+++ src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision fa412df39d3c5338c2c5f69fed935b428f385ebe)
@@ -24,4 +24,5 @@
 from sas.sasgui.guiframe.panel_base import PanelBase
 from sas.sasgui.guiframe.documentation_window import DocumentationWindow
+from sas.sasgui.guiframe.report_image_handler import ReportImageHandler
 
 logger = logging.getLogger(__name__)
@@ -783,5 +784,5 @@
         report_img = self.state.image
         report_list = [report_html_str, report_text_str, report_img]
-        imgRAM = self.state.img_handler
+        imgRAM = ReportImageHandler.instance.img_holder
         refs = [self.state.wximgbmp]
         dialog = ReportDialog(report_list, imgRAM, refs, None, wx.ID_ANY, "")
Index: src/sas/sasgui/perspectives/invariant/invariant_state.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision ec4b19c5dd4551cc69e0c29d13bb0e7fbb08a186)
+++ src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision fa412df39d3c5338c2c5f69fed935b428f385ebe)
@@ -612,6 +612,5 @@
         wximgbmp = wx.BitmapFromImage(wximg)
         # store the image in wx.FileSystem Object
-        self.img_handler = ReportImageHandler()
-        imgs, refs = self.img_handler.instance.set_figs([fig], [wximgbmp], 'inv')
+        imgs, refs = ReportImageHandler.set_figs([fig], [wximgbmp], 'inv')
 
         self.wximgbmp = refs[0]
